Subject: RE: DHCP option tags for SIP

From: "Glenn Morrow" <[email-masked]>
Date: Mon, 21 Feb 2000 10:15:50 -0600

Why can't the downloaded UAS, by bootp or other means, simply have the
configured proxy address? The configuration can be changed later with SIP
signaling without reboot for the in-service cases.

This approach requires no changes to DHCP or SIP and appears to meet the
requirements. 

If we do go forward with these changes, what do think SG-16 will want to do
in another month?

- another damp blanket.

> -----Original Message-----
> From:	Jonathan Rosenberg [SMTP:[email-masked]]
> Sent:	Monday, February 21, 2000 9:36 AM
> To:	Francois Menard List Account
> Cc:	James Kempf; [email-masked]; [email-masked];
> [email-masked]
> Subject:	Re: DHCP option tags for SIP
> 
> I'd like to try and keep this discussion focused in order to quickly
> answer the following question:
> 
>   Should we "fast track" a DHCP options for finding a SIP server
> document?
> 
> Neither DHCP nor SLP are capable of providing complicated application
> layer configuration parameters, such as dialing plans or addresses.
> Neither are good for capabilities exchange, which is something different
> altogether IMHO. With DHCP, you can at least find the server to register
> to, and that may provide much of this information in registration
> responses. Certainly, it doesn't preclude using DHCP to point to a
> specialized configuration server down the road either.
> 
> Both DHCP and SLP will do the same thing - get you the adress of a
> server. With SLP, you can be picky about which server you want, based on
> its capabilities (like ability to support CPL). I see roles for both.
> 
> -Jonathan R.
> 
> Francois Menard List Account wrote:
> > 
> > The question has to do with generic means for capabilities exchange
> > between two devices, using a common set of semantics.
> > 
> > I can easily see how an XML DTD for a specific industry (i.e. in some
> > cases Internet Telephony for SIP), could be used to agree on
> capabilities
> > parameters of other UA's, Proxy Servers, PSTN Gateways & RTP Mixers.
> > 
> > In this sense, and to answer some private concerns of others, I feel
> that
> > SLP is a better end-to-end protocol than DHCP in order to perform these
> > tasks.  I dont like the approach, of "if all you want to do is pass on
> the
> > IP address of the first Proxy Server, then DHCP is fine". To me this
> > violates the notion of end-to-end capabilities exchange (and gives all
> the
> > power to a mighty-god Proxy server).
> > 
> > To this end, my proposal for an SLP DTD for SIP appliances could
> > resembles the Call Processing Language.  Maybe the XML DTD
> > for CPL (with some tweaks) could be used for caps exchange using SLP.
> > 
> > For example, Mediatrix has a device which is very unique, i.e. a VoIP
> > gateway with more RTP mixing capabilties than end-points, 3 fxs ports
> and
> > one fxs/fxo port.  Being able to advertise this functionality through
> SLP
> > is a very unique situation.
> > 
> > Hence my warm welcome of SLP to the SIP scene.  Its simply better than
> all
> > those nasty broadcast packets on LANs using DHCP.
> > 
> > -=Francois=-
> > 
> > On Sun, 20 Feb 2000, James Kempf wrote:
> > 
> > >
> > > >1) if I have a residential gateway, say, which runs
> > > >   SIP on its two POTS lines, with SLP can I find
> > > >   the (different) first hop proxies for each port?
> > >
> > > I'm not quite sure I understand the scenerio (I'm new to SIP, sorry).
> > > What is looking for the first hop proxy, the residental gateway?
> > > My feeling is that the answer to this must be "no" because
> > > if the gateway is sitting on a POTS line, then the protocol on
> > > the POTS line must be something other than IP. Or do you mean
> > > having a phone in the house find the first hop proxy which would
> > > be the residential gateway? If that's the case, then because
> > > the scenerio states that there are different first hop proxies,
> > > there must be two residential gateways, or? If that's the case,
> > > then the phone could select a gateway using SLP, if the service
> > > advertisements for the gateways distinguished them in some way.
> > >
> > > >2) Suppose I have some IP phones at home which are
> > > >   gateway'd through my home SIP proxy which allow
> > > >   me to set up local dial plans. Would SLP be adequate
> > > >   to configure the 1) phones 2) my home proxy for learning
> > > >   their next hope proxy?
> > > >
> > >
> > > Let me speculate about the intent of this question (please correct
> > > me if I'm wrong). Is the intent of this question to see whether
> > > SLP can configure a home phone with a custom dial plan? If so,
> > > then I would say that that is probably not the right use for
> > > SLP. I would venture to guess that would involve some kind of
> > > negotiation with the telephone company's subscriber database.
> > > I would presume a AAA protocol would get involved somehow, to
> > > authenticate your phone for access to the dial plan.
> > > As for 1), this depends on what you want to configure the phones
> > > with. You can't configure them with an IP address, because you
> > > need an IP address to use SLP. You could configure them with
> > > basic stuff like outbound proxy address. Similarly for 2), you could
> > > have the proxy find the next hop proxy using SLP if you wanted.
> > >
> > > >I'm not trying to diss the idea, but SLP seems to
> > > >have been written with enterprises in mind --
> > > >which is fine -- but the more complicated
> > > >situations will probably need to be considered
> > > >where we start splitting up the monolithicly
> > > >administered network into various administrative
> > > >domains, and differently administered services.
> > > >
> > >
> > > There is nothing specific to the enterprise in SLP's design, though
> > > it is not designed to be used on the Internet (large "I" here).
> > > SLP has some features for home-style networks, like using multicast
> > > in the simplest case. As Jonathan points out, it is primarily of
> > > value when the client has choices for a server. If you take a look
> > > at the SLP template draft we submitted the other day, you can get
> > > an idea of the kinds of attributes we are proposing for distinguishing
> > > servers.
> > >
> > >               jak
> > >
> > >
> 
> -- 
> Jonathan D. Rosenberg                       200 Executive Drive
> Chief Scientist                             Suite 120 
> dynamicsoft                                 West Orange, NJ 07052
> [email-masked]                     FAX:   (732) 741-4778
> http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
> http://www.dynamicsoft.com
>

---

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 21 Feb 2000 11:44:07 -0500

> Glenn Morrow wrote:
> configured proxy address? The configuration can be changed later with
> SIP signaling without reboot for the in-service cases.

The place I download my client from is generally unrelated to my service
provider (I downloaded Netscape from Netscapes site... has nothing to do
with my ISP). 

Even presuming you did this, how does one change this later with SIP
signaling? Changing this is exactly what DHCP or SLP is desired for...

> If we do go forward with these changes, what do think SG-16 will want
> to do in another month?

I'm not sure I understand this... is SG16 planning some kind of activity
in this area (SIP configuration)?

-Jonathan R.